Skip to navigation

Update agent branch

Update agent branch properties such as name, description, archiving status, protection level, and auto-rebase onto main

Path parameters

agent_idstringRequired
The id of an agent. This is returned on agent creation.
branch_idstringRequired
Unique identifier for the branch.

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
namestringOptional1-140 characters
New name for the branch. Must be unique within the agent.
descriptionstringOptional<=4096 characters
New description for the branch. Pass an empty string to clear it.
is_archivedbooleanOptional
Whether the branch should be archived
protection_statusenumOptionalDefaults to writer_perms_required
The protection level for the branch
Allowed values:
auto_rebasebooleanOptional
When true, rebase this branch onto main automatically after each new main version. Cannot be enabled on the main branch.

Response

Successful Response
idstring
namestring
agent_idstring
descriptionstring
created_atinteger
last_committed_atinteger
is_archivedboolean
protection_statusenumOptionalDefaults to writer_perms_required
Allowed values:
auto_rebasebooleanOptionalDefaults to false
access_infoobjectOptional
Access information for the branch
current_live_percentagedoubleOptionalDefaults to 0
Percentage of traffic live on the branch
parent_branchobjectOptional
Parent branch of the branch
most_recent_versionslist of objectsOptional
Most recent versions on the branch

Errors

422
Branches Update Request Unprocessable Entity Error